> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry All Dead Letter Events

> Retry all failed events for the authenticated tenant.

Requeues all failed events for processing and removes them from the
failed events list. Events will be processed automatically.

Returns:
    Dictionary with count of retried events.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json post /ops/dead-letter/retry-all
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /ops/dead-letter/retry-all:
    post:
      tags:
        - ops
      summary: Retry All Dead Letter Events
      description: |-
        Retry all failed events for the authenticated tenant.

        Requeues all failed events for processing and removes them from the
        failed events list. Events will be processed automatically.

        Returns:
            Dictionary with count of retried events.
      operationId: ops-retry_all_dead_letter_events
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  type: integer
                type: object
                title: Response Ops-Retry All Dead Letter Events

````